declare function installNamedNodeItems(nativeObj: PluginArray | MimeTypeArray, list: (Plugin | MimeType)[], prop: 'type' | 'name'): any[];
declare function createNamedNodeMap(protoClass: PluginArray | MimeTypeArray, list: (Plugin | MimeType)[], prop: 'type' | 'name', hiddenProperties?: PropertyKey[]): PluginArray | MimeTypeArray;
declare function createMime(fakeMime: any): MimeType;
declare const mimeList: MimeType[];
declare const mimes: MimeTypeArray;
declare const pluginList: Plugin[];
declare const navigatorPlugins: PluginArray;
